<?php
/**
 * Custom header implementation
 */

function multi_mobile_app_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'multi_mobile_app_custom_header_args', array(

		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1280,
		'height'                 => 70,
		'wp-head-callback'       => 'multi_mobile_app_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'multi_mobile_app_custom_header_setup' );

if ( ! function_exists( 'multi_mobile_app_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see multi_mobile_app_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'multi_mobile_app_header_style' );
function multi_mobile_app_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$custom_css = "
        .top-header {
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
		}";
	   	wp_add_inline_style( 'multi-mobile-app-basic-style', $custom_css );
	endif;
}
endif; // multi_mobile_app_header_style